Subject: Re: bug#55277: 29.0.50; Commit 8fce81897d no longer generates eln files

From: Kun Liu <[email-masked]>
Date: Fri, 6 May 2022 08:10:43 -0700

Thank you Eli for all your help.

I pulled the latest commit (1cda7cfb390c9612caf73e977d64d9e0eff5735c) this
morning and everything is working fine again.

To answer your question, to the best of my recollection, the previous build
did not spawn "*Async-native-compile-log*".

On Fri, May 6, 2022 at 12:04 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Kun Liu <[email-masked]>
> > Date: Thu, 5 May 2022 13:32:48 -0700
> > Cc: [email-masked]
> >
> >  > Could you please tell me where *.eln files are at now?
> >
> >  The *.eln files produced as part of the build should under
> >  native-lisp/ in the build tree.  The *.eln files under your
> >  ~/.emacs.d/eln-cache/ directory will be produced dynamically, when you
> >  for the first time load the corresponding .elc file for which there's
> >  no .eln.
> >
> > Thanks. That actually is the problem I was trying to report. After using
> for a few hours, I still have just these
> > two .elns under my ~/.emacs.d/eln-cache/29.0.50-a2ce0d0a  directory. In
> previous builds, I see roungly
> > 450-500 eln files there. It almost seems like the .elns are not being
> built in this commit.
>
> I cannot reproduce this.  E.g., if I visit one of the C source files
> in the Emacs source tree, in an Emacs built from today's master
> branch, I see asynchronous native-compilation starting (use "M-x
> list-processes" to show those compilation processes), and after a
> while there are a bunch of new *.eln files under my eln-cache
> directory.
>
> If this doesn't work for you, it's probably due to some other change
> on your system.  Or maybe this is something specific to your Emacs
> configuration (I don't use the PGTK build).
>
> Do you have a buffer called "*Async-native-compile-log*" in that Emacs
> session?  If so, does it say anything interesting about some problems
> during native-compilation?
>